## getwd()
eq <- read.table("http://ashipunov.info/data/eq8.txt", h=TRUE)
str(eq)
head(eq)
library(shipunov)

eqa <- Aggregate1(eq[, -1], eq$SPECIES, median, na.rm=TRUE)
stars(eqa)

## install.packages("TeachingDemos")
library("TeachingDemos")
faces(eqa)

## install.packages("rgl")
## library(rgl)
## plot3d(eq[, 5:7])
## plot3d(eq[, 5:7], col=as.numeric(eq$SPECIES))

## eqp <- prcomp(eq[, -1], scale=TRUE)
Missing.map(eq[, -1])
eq2 <- na.omit(eq)
eqp <- prcomp(eq2[, -1], scale=TRUE)
summary(eqp)
plot(eqp)
plot(eqp$x[, 1:2], xlab="PC1", ylab="PC2", col=as.numeric(eq2$SPECIES), pch=19)
legend("bottomleft", legend=levels(eq2[, 1]), col=1:nlevels(eq2[, 1]), pch=19)
hh <- Hulls(eqp$x[, 1:2], eq2[, 1])
## install.packages("PBSmapping")
Overlap(hh)
summary(Overlap(hh))

iris.p <- princomp(iris[, -5])
summary(iris.p)
plot(iris.p)
plot(iris.p$scores[, 1:2], xlab="PC1", ylab="PC2", col=as.numeric(iris[, 5]), pch=19)
## think why 'iris$Sp' works and why 'col=1:3' is enough
legend("top", legend=levels(iris$Sp), col=1:3, pch=19)
