## getwd()
beans <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/phaseolus.txt", h=T)
exper.d <- with(beans, EXPER.2 - EXPER.1)
control.d <- with(beans, CONTROL.2 - CONTROL.1)
beans.long <- stack(data.frame(exper.d, control.d))
beans.long
t.test(values ~ ind, data=beans.long, paired=TRUE)
t.test(values ~ ind, data=beans.long)
t.test(exper.d, control.d, paired=T)
t.test(control.d, exper.d, paired=T)
t.test(exper.d, control.d, paired=T)
t.test(exper.d - control.d)
bpress <- read.table("http://ashipunov.info/data/bpress.txt", h=TRUE) 
drug.d <- bpress$DRUG.10 - bpress$DRUG.1
drug.d <- with(bpress, DRUG.10 - DRUG.1)
placebo.d <- bpress$PLACEBO.10 - bpress$PLACEBO.1
t.test(drug.d, placebo.d)
kn <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/knapweed.txt", h=T)
library(shipunov)
Str(kn)
with(kn, S.LEN.3 - S.LEN.2)
boxplot(kn$S.LEN.3, kn$S.LEN.2)
cumsum(with(kn, S.LEN.3 - S.LEN.2))
plot(cumsum(with(kn, S.LEN.3 - S.LEN.2)), type="s")
plot(cumsum(with(kn, sample(S.LEN.2) - S.LEN.2)), type="s")
plot(cumsum(with(kn, jitter(S.LEN.2) - S.LEN.2)), type="s")
plot(cumsum(with(kn, S.LEN.3 - S.LEN.2)), type="s")
sapply(kn[, -1], Normality)
with(kn, t.test(S.LEN.3, S.LEN.2, paired=T))
with(kn, t.test(S.LEN.3, S.LEN.2))
t.test(with(kn, S.LEN.3 - S.LEN.2))
t.test(drug.d, placebo.d)
t.test(exper.d - control.d)
t.test(with(kn, S.LEN.3 - S.LEN.2))$p.value
t.test(drug.d, placebo.d)$p.value
t.test(exper.d - control.d)$p.value
## install.packages("effsize")
library(effsize)
t.test(with(kn, S.LEN.3 - S.LEN.2))$p.value
with(kn, cohen.d(S.LEN.3, S.LEN.2))
cohen.d(placebo.d, drug.d)
cohen.d(control.d, exper.d)
Str(kn)
t.test(FE.WT ~ CID, data=kn)
cohen.d(FE.WT ~ CID, data=kn)
## ?K
K(FE.WT ~ CID, data=kn)
summary(K(FE.WT ~ CID, data=kn))
sapply(kn[, -1], Normality)
wilcox.test(S.LEN.1 ~ CID, data=kn)
cliff.delta(S.LEN.1 ~ CID, data=kn)
K(S.LEN.1 ~ CID, data=kn, mad=T)
summary(K(S.LEN.1 ~ CID, data=kn, mad=T))
cashiers <- read.table("http://ashipunov.info/data/cashiers.txt", h=TRUE)
## url.show("http://ashipunov.info/data/cashiers_c.txt", h=TRUE)
Str(cashiers)
cashiers
with(cashiers, wilcox.test(CASHIER.1, CASHIER.2, alt="greater"))
## ?wilcox.test
with(cashiers, wilcox.test(CASHIER.1, CASHIER.2, alt="g"))
## Save.history()
