## getwd()
hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=TRUE)
boxplot(HEIGHT ~ COLOR, data=hwc)
library(shipunov)
Normality(hwc$HEIGHT)
bartlett.test(HEIGHT ~ COLOR, data=hwc)
hwc.height.aov <- aov(HEIGHT ~ COLOR, data=hwc)
summary(hwc.height.aov)

Eta2 <- function(aov)
{
summary.lm(aov)$r.squared
}

Eta2(hwc.height.aov)
Mag(Eta2(hwc.height.aov))
pairwise.t.test(hwc$HEIGHT, hwc$COLOR)
## ?p.adjust
TukeyHSD(hwc.height.aov)
plot(TukeyHSD(hwc.height.aov))
hwc.weight.aov <- aov(WEIGHT ~ COLOR, data=hwc)
plot(TukeyHSD(hwc.weight.aov))
TukeyHSD(hwc.weight.aov)

hwc2 <- read.table("http://ashipunov.info/data/hwc2.txt", h=TRUE)
boxplot(HEIGHT ~ COLOR, data=hwc2)
Normality(hwc2$HEIGHT)
bartlett.test(HEIGHT ~ COLOR, data=hwc2)
oneway.test(HEIGHT ~ COLOR, data=hwc2)
(ee <- Eta2(aov(HEIGHT ~ COLOR, data=hwc2)))
Mag(ee)
pairwise.t.test(hwc$HEIGHT, hwc$COLOR)
tapply(hwc$HEIGHT, hwc$COLOR, var)
pairwise.t.test(hwc2$HEIGHT, hwc2$COLOR)
tapply(hwc2$HEIGHT, hwc2$COLOR, var)
boxplot(HEIGHT ~ COLOR, data=hwc2)
dev.new()
boxplot(HEIGHT ~ COLOR, data=hwc)

hwc3 <- read.table("http://ashipunov.info/data/hwc3.txt", h=TRUE)
boxplot(HEIGHT ~ COLOR, data=hwc3)
Normality(hwc3$HEIGHT)
kruskal.test(HEIGHT ~ COLOR, data=hwc3)

Epsilon2 <- function(kw, n)
{
unname(kw$statistic/((n^2 - 1)/(n+1)))
}

kk <- kruskal.test(HEIGHT ~ COLOR, data=hwc3)
Epsilon2(kk, nrow(hwc3))
Mag(Epsilon2(kk, nrow(hwc3)))
pairwise.wilcox.test(hwc3$HEIGHT, hwc3$COLOR)
## install.packages("dunn.test")
library(dunn.test)
dunn.test(hwc3$HEIGHT, hwc3$COLOR, method="holm", altp=TRUE)

## ?chickwts
head(chickwts)
levels(chickwts$feed)
boxplot(weight ~ feed, data=chickwts)
Normality(chickwts$weight)
bartlett.test(weight ~ feed, data=chickwts)
chk.aov <- aov(weight ~ feed, data=chickwts)
summary(chk.aov)
Eta2(chk.aov)
Mag(Eta2(chk.aov))
TukeyHSD(chk.aov)
plot(TukeyHSD(chk.aov))
dev.new()
boxplot(weight ~ feed, data=chickwts)
## Save.history()
