## getwd()
plot(prcomp(iris[, -5])$x[, 1:2], col=iris$Species)
legend("bottom", legend=levels(iris$Species), col=1:3, pch=1)

library(shipunov)
Hulls(prcomp(iris[, -5])$x[, 1:2], as.numeric(iris$Species))

nd <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/ndc.txt", sep="\t", row.names=1)
nd
nd21 <- nd[, 2:1]
plot(nd21, type="n")
text(nd21, row.names(nd21))

nd.d <- dist(nd)
nd.d
nd.c <- cmdscale(nd.d)
nd.c
nd.c[, 2] <- -nd.c[, 2] # this will make the "map" better
plot(nd.c, type="n")
text(nd.c, row.names(nd.c))

iris.1 <- iris
iris.1[1, 1] <- NA
## plot(prcomp(iris[, -5])$x[, 1:2], col=iris$Species) # error!

iris.d1 <- dist(iris.1[, -5]) # works!
iris.c1 <- cmdscale(iris.d1)
plot(iris.c1, col=iris.1$Species)

nd.d
plot(hclust(nd.d))

traits <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/traits.txt", row.names=1, h=TRUE)
traits
traits.d <- dist(traits, method="binary")
plot(hclust(traits.d, method="ward.D"))
